Using Tiger in jsp

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Using Tiger in jsp

Julien Martin
Hello,
I use Tomcat 5.5 and I would like to use jdk5.0 features such as enhanced
for loop in my jsp. I am having problems: Tomcat seems to be expecting
jdk1.4 syntax.
Can anyone help please?
Julien.



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Using Tiger in jsp

Markus Schönhaber
Am Freitag, 20. Mai 2005 16:11 schrieb Julien Martin:

> I use Tomcat 5.5 and I would like to use jdk5.0 features such as enhanced
> for loop in my jsp. I am having problems: Tomcat seems to be expecting
> jdk1.4 syntax.
> Can anyone help please?

http://jakarta.apache.org/tomcat/tomcat-5.5-doc/jasper-howto.html#Configuration

Set the "compiler" init-param so that javac from jdk5 is used. Also set the
"compilerSourceVM" and "compilerTargetVM" appropriately.

Alternatively, you could try to replace the Eclipse compiler bundled with
Tomcat with a more recent release from the Eclipse 3.1 builds. Don't know
wether this is easily achieved, though.

Regards
  mks

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Using Tiger in jsp

Markus Schönhaber
Am Freitag, 20. Mai 2005 18:32 schrieb Markus Sch?nhaber:

> Am Freitag, 20. Mai 2005 16:11 schrieb Julien Martin:
> > I use Tomcat 5.5 and I would like to use jdk5.0 features such as enhanced
> > for loop in my jsp. I am having problems: Tomcat seems to be expecting
> > jdk1.4 syntax.
> > Can anyone help please?
>
> http://jakarta.apache.org/tomcat/tomcat-5.5-doc/jasper-howto.html#Configura
>tion
>
> Set the "compiler" init-param so that javac from jdk5 is used. Also set the
> "compilerSourceVM" and "compilerTargetVM" appropriately.

Did remember slightly wrong: Leave the "compiler" init-param alone. Just set
"compilerSourceVM" and "compilerTargetVM" to "1.5". Then move
jasper-compiler-jdt.jar out of $CATALINA_HOME/common/lib and move in ant.jar
instead.

Regards
  mks

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]